<template>
  <div class="user-center-color-config">
    <lazy-theme-desktop-peru-bet-history v-if="theme.includes('peru')" />
    <lazy-theme-common-desktop-bet-history
      v-else-if="theme.includes('desktop/') && theme !== 'desktop/peru'"
    />
    <lazy-theme-common-mobile-bet-history-index-2
      v-else-if="
        ['mobile/main', 'mobile/playful', 'mobile/global'].includes(theme)
      "
    />
    <lazy-theme-common-mobile-bet-history
      v-else-if="theme.includes('mobile/') && theme !== 'mobile/peru'"
    />
  </div>
</template>

<script setup lang="ts">
defineProps({
  theme: {
    type: String,
    default: "",
  },
});
</script>
<style lang="scss">
.game-bet-desktop,
.bet-history-table-container {
  .el-table__body-wrapper {
    height: 100%;
    padding-bottom: 44px;
  }
  .el-table__inner-wrapper {
    padding-bottom: 15px;
  }
}
.user-center-color-config {
  .el-input {
    .el-input__inner {
      --el-disabled-bg-color: var(--background5);
    }
  }
  .el-input__inner {
    background: var(--background5);
  }
  .el-range-editor {
    --el-disabled-bg-color: var(--background5);
  }
}
</style>
